Bug 1130723 - crashes when creating a QScriptEngine object
Summary: crashes when creating a QScriptEngine object
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-qt5-qtscript
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 03:13 UTC by ant32
Modified: 2014-12-27 14:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 14:44:52 UTC


Attachments (Terms of Use)
output of wine (5.63 KB, text/plain)
2014-08-17 03:13 UTC, ant32
no flags Details

Description ant32 2014-08-17 03:13:31 UTC
Created attachment 927400 [details]
output of wine

Description of problem:
App will crash when creating a QScriptEngine object

Version-Release number of selected component (if applicable):
mingw-qt5-qtscript works fine on fedora 20 but crashes on fedora 21.

How reproducible:


Steps to Reproduce:
Compile and run the following with wine or on windowss

#include <QCoreApplication>
#include <QScriptEngine>
int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    QScriptEngine e;
}


Actual results:
wine: Unhandled page fault on read access to 0x00000000 at address 0x70a2efb2 (thread 0009), starting debugger...

Expected results:
succesfull run

Additional info:

Comment 1 Erik van Pienbroek 2014-08-17 17:36:29 UTC
Reproduced on both Wine and native Windows 7.
Here's a more proper backtrace generated with gdb:

Program received signal SIGSEGV, Segmentation fault.
QTJSC::JSGlobalData::storeVPtrs ()
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:85
85      /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp: No such file or directory.
(gdb) bt
#0  QTJSC::JSGlobalData::storeVPtrs ()
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/3rdparty/javascriptcore/JavaScriptCore/runtime/JSGlobalData.cpp:85
#1  0x70a26852 in initializeThreadingOnce ()
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/3rdparty/javascriptcore/JavaScriptCore/runtime/InitializeThreading.cpp:52
#2  QTJSC::initializeThreading ()
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/3rdparty/javascriptcore/JavaScriptCore/runtime/InitializeThreading.cpp:66
#3  0x70a9fa09 in QScriptEnginePrivate::QScriptEnginePrivate (
    this=this@entry=0x8b3468)
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/script/api/qscriptengine.cpp:988
#4  0x70aa04ac in QScriptEngine::QScriptEngine (this=0x28fea8)
    at /builddir/build/BUILD/qtscript-opensource-src-5.3.1/src/script/api/qscriptengine.cpp:2047
#5  0x00402860 in main (argc=1, argv=0x8b3048) at qscript.cc:6

Comment 2 Erik van Pienbroek 2014-09-20 23:48:34 UTC
Could you check if the mingw-qt5-qtscript-5.3.2-1.fc21 package from http://koji.fedoraproject.org/koji/buildinfo?buildID=579567 resolves the issue for you?

Comment 3 Erik van Pienbroek 2014-12-23 13:17:02 UTC
Is this issue still valid?

Comment 4 ant32 2014-12-27 14:44:52 UTC
No

I have not had any issues with using qtscript for a while already.


Note You need to log in before you can comment on or make changes to this bug.